#!/usr/local/bin/perl

############################################################################
# PaperScissorStone                 Version 2.1                            #
# Created 1996-07-22                Last Modified 1996-08-30               #
# by Anders Hultman                 anders@algonet.se                      #
# Distributed under GNU General Public License                             #
############################################################################

# Configure the script by defining these variables:

# Fill in the full or partial URL to the rules page
# If a partial URL is used it must start with a /
$rulesurl = "/spel/regler.html";

# Fill in the full or partial URL to the history page
# If a partial URL is used it must start with a /
$historyurl = "/spel/historia.html";

# Fill in the full or partial URL to the tools picture file
# If a partial URL is used it must start with a /
$toolsurl = "/spel/tools.gif";

# Fill in the width and height of the tools picture file
$toolswidth = 225;
$toolsheight = 45;

# Fill in the full or partial URL to the paper picture file
# If a partial URL is used it must start with a /
$paperurl = "/spel/paper.gif";

# Fill in the width and height of the paper picture file
$paperwidth = 75;
$paperheight = 45;

# Fill in the full or partial URL to the scissors picture file
# If a partial URL is used it must start with a /
$scissorsurl = "/spel/scissors.gif";

# Fill in the width and height of the scissors picture file
$scissorswidth = 75;
$scissorsheight = 45;

# Fill in the full or partial URL to the stone picture file
# If a partial URL is used it must start with a /
$stoneurl = "/spel/stone.gif";

# Fill in the width and height of the stone picture file
$stonewidth = 75;
$stoneheight = 45;

# No more configuring below this line.
# You may want to change layout details, though.
#################################################################################

# Prepare for the game
srand;
@mytools = ("a","b","c","a","b","c","a","b","c","a","b","c");

# Get the input
read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});

# Split the name-value pairs
@pairs = split(/&/, $buffer);

foreach $pair (@pairs) {
   ($name, $value) = split(/=/, $pair);

   $value =~ tr/+/ /;
   $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
   $value =~ s/<([^>]|\n)*>//g;
   $value =~ s/<//g;
   $value =~ s/>//g;
   $FORM{$name} = $value;
}

# Play game
$ctool = @mytools[rand(@mytools)];

# Who won?
if  ($ctool eq $FORM{'tool'}) { $game = "Oavgjort!"; }
if (($ctool eq 'a') && ($FORM{'tool'} eq 'b')) { $game = "Du vinner!"; }
if (($ctool eq 'a') && ($FORM{'tool'} eq 'c')) { $game = "Du frlorar!"; }
if (($ctool eq 'b') && ($FORM{'tool'} eq 'a')) { $game = "Du frlorar!"; }
if (($ctool eq 'b') && ($FORM{'tool'} eq 'c')) { $game = "Du vinner!"; }
if (($ctool eq 'c') && ($FORM{'tool'} eq 'a')) { $game = "Du vinner!"; }
if (($ctool eq 'c') && ($FORM{'tool'} eq 'b')) { $game = "Du frlorar!"; }

# Combine the IMG references
$stoneref =
  '<img src="' . $stoneurl . '" width="' . $stonewidth .
  '" height="' . $stoneheight . '" alt="Sten">';
$scissorsref =
  '<img src="' . $scissorsurl . '" width="' . $scissorswidth .
  '" height="' . $scissorsheight . '" alt="Sax">';
$paperref =
  '<img src="' . $paperurl . '" width="' . $paperwidth .
  '" height="' . $paperheight . '" alt="Pse">';

# Print the page
print "Content-type: text/html\n\n";
print "<html>\n<head>\n";
print "<title>Sten - sax - pse</title>\n";
print "<!-- Sten - sax - pse av Anders Hultman -->\n";
print "</head>\n<body bgcolor=FFFFFF>\n<center>\n";
if ($ENV{'REQUEST_METHOD'} eq "GET") {
  print '<font color="FF0000"><h3>Spela tidernas roligaste och enklaste ',
        "spel med mig!</h3></font>\n";
  print '<img src="',$toolsurl,'" width="',$toolswidth, 
        '" height="',$toolsheight,'" alt="Sten Sax Pse">',
        "<p>\n";
}
elsif ($ENV{'REQUEST_METHOD'} eq "POST") {
  print "<table>\n<tr align=center>\n";
  print "<td><font color=FF0000 size=+1><b>Du</b></font><br>\n";
  if ($FORM{'tool'} eq 'a') { print "$paperref"; }
  if ($FORM{'tool'} eq 'b') { print "$scissorsref"; }
  if ($FORM{'tool'} eq 'c') { print "$stoneref"; }
  print "\n<p>\n<td><font color=FF0000 size=+1><b>Jag</b></font><br>\n";
  if ($ctool eq 'a') { print "$paperref"; }
  if ($ctool eq 'b') { print "$scissorsref"; }
  if ($ctool eq 'c') { print "$stoneref"; }
  print "\n<p>\n</table>\n";
  print "<font color=FF0000 size=+1><b>$game</b>\n<p>\n<hr>\n";
  print "<h3>En gng till?</h3></font>\n";
}

print '<form method="POST" action="',$ENV{'SCRIPT_NAME'},'">',"\n";
print "<select name=\"tool\">\n";
print "<option value=\"c\"";
if ($FORM{'tool'} eq 'c') { print " selected"; }
print ">Sten\n";
print "<option value=\"b\"";
if ($FORM{'tool'} eq 'b') { print " selected"; }
print ">Sax\n";
print "<option value=\"a\"";
if ($FORM{'tool'} eq 'a') { print " selected"; }
print ">Pse\n";
print "</select>\n";
print " &nbsp; Ett...  \&nbsp\; ";
print "Tv...  &nbsp; ";
print "Tre... &nbsp; \n";
print "<input type=\"submit\" value=\"  NU!  \">\n";
print "</form>\n";

print "<p><hr><p>\n";
print "</center>\n</body>\n</html>\n";

